package it.unipd.dei.customlistitem;

import java.util.ArrayList;

import android.app.ListActivity;
import android.graphics.BitmapFactory;
import android.os.Bundle;

public class MainActivity extends ListActivity {

	// The 'raw' data (loaded from db or from the net or ...)
	private ArrayList<Contact> contacts = null;
	private CustomArrayAdapter adapter = null;

	private void fillData() {
		this.contacts = new ArrayList<Contact>(3);
		this.contacts.add(new Contact("Donald Duck", BitmapFactory
				.decodeResource(this.getResources(), R.drawable.dduck)));
		this.contacts.add(new Contact("Mickey Mouse", BitmapFactory
				.decodeResource(this.getResources(), R.drawable.mmouse)));
		this.contacts.add(new Contact("Goofy", BitmapFactory.decodeResource(
				this.getResources(), R.drawable.goofy)));
	}

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		// load the data into our contacts ArrayList
		this.fillData();
		// create the CustomArrayAdatper
		this.adapter = new CustomArrayAdapter(this,
				R.layout.custom_list_item_layout, this.contacts);
		// set the adapter
		this.setListAdapter(this.adapter);
	}
}
